#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xe30f546c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x4c6f0ebf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xb325d833, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x29558065, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xd3d8f1eb, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xda1f0f8b, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x461d465f, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x2b38aad3, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xa455d21c, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xa1a9f5d4, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xf67f0f69, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x5a886454, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x0fa195b6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x60b51e3a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xc6221482, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xf72da320, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x696a406f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x8fed40d2, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x4474e948, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x797142d2, "drm_client_register" },
	{ 0x44b57a7f, "try_module_get" },
	{ 0x12110872, "drm_fb_helper_init" },
	{ 0xab5cf1f, "drm_fb_helper_debug_enter" },
	{ 0x9bac991f, "ww_mutex_lock_interruptible" },
	{ 0x96bfd08b, "vmf_insert_pfn" },
	{ 0x8ca6c05b, "vmemmap" },
	{ 0xfc04d71, "drm_gem_get_pages" },
	{ 0xcff07984, "dma_buf_vmap" },
	{ 0x15610f99, "drm_client_buffer_vmap" },
	{ 0xbbfc260f, "drm_fb_helper_lastclose" },
	{ 0x8451c66b, "drm_fb_helper_setcmap" },
	{ 0xf3de2cbf, "drm_fb_helper_alloc_info" },
	{ 0xe8a6ee99, "drm_helper_disable_unused_functions" },
	{ 0xa9c2e388, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x6b336c12, "drm_fb_helper_fini" },
	{ 0x4c199fcb, "drm_client_framebuffer_delete" },
	{ 0xae11f80f, "drm_client_framebuffer_create" },
	{ 0x84d7346a, "invalidate_mapping_pages" },
	{ 0xcee474e2, "ww_mutex_unlock" },
	{ 0xefefc01d, "drm_fb_helper_deferred_io" },
	{ 0x7d076e2b, "drm_fb_helper_release_info" },
	{ 0x16e3aafa, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x79c87550, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x80b6b045, "drm_driver_legacy_fb_format" },
	{ 0x13781c23, "drm_fb_helper_fill_info" },
	{ 0xda5cf7a4, "drm_gem_create_mmap_offset" },
	{ 0xe918eac9, "fb_deferred_io_init" },
	{ 0x64095ca, "fb_deferred_io_cleanup" },
	{ 0x1b510f35, "drm_gem_object_init" },
	{ 0xbf3a53dc, "dev_driver_string" },
	{ 0x9335ddee, "drm_fb_helper_hotplug_event" },
	{ 0xc62b6d54, "fb_sys_write" },
	{ 0x50be85af, "sys_imageblit" },
	{ 0x8cc0c438, "drm_fb_helper_damage_range" },
	{ 0x58958cf9, "drm_fb_helper_blank" },
	{ 0x969a152d, "drm_gem_private_object_init" },
	{ 0xa839d6cd, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb3665cc4, "drm_fb_helper_damage_area" },
	{ 0x9b6e5a7e, "sys_fillrect" },
	{ 0x4710c6b, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x92ad2f45, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdcc091b8, "drm_gem_vm_close" },
	{ 0x61ecb483, "drm_gem_vm_open" },
	{ 0xcd082e43, "drm_fb_helper_prepare" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xfa62e81e, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xdbd6e6db, "drm_gem_object_release" },
	{ 0xb9ea3201, "ww_mutex_lock" },
	{ 0xc8e2295d, "vmap" },
	{ 0xaaa3e836, "drm_gem_handle_create" },
	{ 0x1f805dbf, "drm_gem_fb_get_obj" },
	{ 0x1bef2e9a, "__drm_dev_dbg" },
	{ 0x5d2cdf8, "drm_prime_pages_to_sg" },
	{ 0x51f760ee, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xb041b08c, "drm_fb_helper_pan_display" },
	{ 0xa0fed85d, "dma_buf_vunmap" },
	{ 0x89d06bba, "drm_client_release" },
	{ 0x1cc5e913, "sys_copyarea" },
	{ 0x2d1e4010, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0xe26d2f60, "dma_map_sgtable" },
	{ 0x470a05b5, "drm_gem_free_mmap_offset" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3c4fe3a, "drm_client_buffer_vunmap" },
	{ 0x2f3ea8b7, "fb_sys_read" },
	{ 0x32f2793f, "drm_fb_helper_debug_leave" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x62c48ff1, "dma_unmap_sg_attrs" },
	{ 0xea35648f, "drm_fb_helper_initial_config" },
	{ 0x227fa94, "drm_fb_helper_unregister_info" },
	{ 0x96cfc7f1, "drm_gem_put_pages" },
	{ 0xc03b7dd6, "drm_gem_private_object_fini" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0x1d7a0bdd, "drm_fb_helper_ioctl" },
	{ 0x2ac28d63, "drm_fb_helper_set_par" },
	{ 0x68bdb20e, "drm_prime_gem_destroy" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "5CBE2D0A70DC150E0CC6E9B");
