#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x333746b7, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x919ef5c8, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xdefb1b85, "");
SYMBOL_CRC(rdma_res_to_id, 0x8de2ade8, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x073dcdf6, "");
SYMBOL_CRC(rdma_create_user_id, 0x3b4783ad, "");
SYMBOL_CRC(rdma_create_qp, 0xdffa8fc0, "");
SYMBOL_CRC(rdma_destroy_qp, 0xe66de8e3, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x80262cef, "");
SYMBOL_CRC(rdma_destroy_id, 0x7c36d70d, "");
SYMBOL_CRC(rdma_get_service_id, 0x4382fe2c, "");
SYMBOL_CRC(rdma_read_gids, 0xd34d7c4d, "");
SYMBOL_CRC(rdma_set_service_type, 0xe43063b0, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x9bfb7f82, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x586dd4ba, "");
SYMBOL_CRC(rdma_set_ib_path, 0x68679785, "");
SYMBOL_CRC(rdma_resolve_route, 0x02f86b9d, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xd5d0bce6, "");
SYMBOL_CRC(rdma_set_afonly, 0x825da175, "");
SYMBOL_CRC(rdma_listen, 0x9c85bdfa, "");
SYMBOL_CRC(rdma_resolve_addr, 0x29c03638, "");
SYMBOL_CRC(rdma_bind_addr, 0xd530fe48, "");
SYMBOL_CRC(rdma_connect_locked, 0xcfd714fa, "");
SYMBOL_CRC(rdma_connect, 0x011a907b, "");
SYMBOL_CRC(rdma_connect_ece, 0x45f56874, "");
SYMBOL_CRC(rdma_accept, 0x899bfa31, "");
SYMBOL_CRC(rdma_accept_ece, 0x1367ecc5, "");
SYMBOL_CRC(rdma_lock_handler, 0x0b5006ab, "");
SYMBOL_CRC(rdma_unlock_handler, 0x2acc9bf7, "");
SYMBOL_CRC(rdma_notify, 0x62e07953, "");
SYMBOL_CRC(rdma_reject, 0x9a5a96c2, "");
SYMBOL_CRC(rdma_disconnect, 0xe65da054, "");
SYMBOL_CRC(rdma_join_multicast, 0xd3706188, "");
SYMBOL_CRC(rdma_leave_multicast, 0xcda3e308, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb8fd5e1, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f42e95b, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9806ce20, "ib_unregister_client" },
	{ 0xffb4b5e9, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b1c23e1, "ib_send_cm_sidr_rep" },
	{ 0xdcbf821c, "bpf_trace_run4" },
	{ 0xf86cd684, "config_group_init" },
	{ 0xd0021aa7, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2612b2fd, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d01f237, "trace_raw_output_prep" },
	{ 0x6a657910, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xf867caf7, "__trace_trigger_soft_disabled" },
	{ 0x4d8e6195, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0xb0de94d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd479bb2, "rdma_query_gid" },
	{ 0x2818a978, "rt6_lookup" },
	{ 0x3abb1c92, "rdma_translate_ip" },
	{ 0x3ffcc908, "bpf_trace_run2" },
	{ 0x55ebaafe, "rdma_dev_access_netns" },
	{ 0xcdfc28ba, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x59ff9f6f, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xab56e2e1, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x48bec8b3, "register_pernet_subsys" },
	{ 0x1b1b28c6, "trace_event_buffer_commit" },
	{ 0xbdfd0cf6, "ip_mc_inc_group" },
	{ 0xae42585f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xd74becd7, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x4f7311f8, "iw_cm_connect" },
	{ 0x1babbfaa, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x8dc6e24d, "rdma_addr_cancel" },
	{ 0xcaddae1b, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3b0df4cd, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x83f0615a, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc90f421f, "ib_sa_path_rec_get" },
	{ 0x5960ab42, "ib_create_cm_id" },
	{ 0x3576f1b5, "__ip_mc_dec_group" },
	{ 0x1b4577ad, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x23d469f1, "perf_trace_run_bpf_submit" },
	{ 0xafe1b6a9, "ib_init_ah_from_mcmember" },
	{ 0x3c28d967, "rdma_destroy_ah_attr" },
	{ 0x93144a5b, "ib_set_client_data" },
	{ 0x46fe05c8, "init_net" },
	{ 0x19a60a9a, "ib_get_cached_pkey" },
	{ 0xf21be29a, "configfs_register_subsystem" },
	{ 0x1f39c976, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xfefdf0dc, "rdma_put_gid_attr" },
	{ 0x52f71824, "config_group_init_type_name" },
	{ 0xcd721cc, "dev_get_by_index" },
	{ 0xa7d7ae05, "iw_destroy_cm_id" },
	{ 0x9c8c9cf2, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa62015ef, "ib_send_cm_rep" },
	{ 0xe7b308f6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x4800204e, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xfbc68bd3, "bpf_trace_run1" },
	{ 0xf3768ca0, "ib_destroy_qp_user" },
	{ 0x5a76463, "unregister_pernet_subsys" },
	{ 0xbad871f0, "ib_cm_init_qp_attr" },
	{ 0x6fde8948, "_dev_warn" },
	{ 0x49a34b4f, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xa43f6445, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xd4ea7031, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x9ab988c2, "ib_get_cached_port_state" },
	{ 0xecf4d455, "ib_send_cm_mra" },
	{ 0x21074ff2, "rdma_restrack_del" },
	{ 0x202e3466, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xed34b0eb, "bpf_trace_run3" },
	{ 0x62deaad8, "__put_net" },
	{ 0x5549ed94, "rdma_restrack_parent_name" },
	{ 0x3944fd0a, "iw_cm_accept" },
	{ 0x935cabc6, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x29d75369, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48102c3e, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x4b7cf5e7, "iw_cm_init_qp_attr" },
	{ 0xd7d9f698, "dst_release" },
	{ 0x1cd919f7, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xad6731ba, "ib_send_cm_dreq" },
	{ 0x83b4668f, "ib_send_cm_req" },
	{ 0xccd7e6da, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xad9f2664, "ib_sa_join_multicast" },
	{ 0x2a121fca, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd73998db, "rdma_get_gid_attr" },
	{ 0x4350a43e, "rdma_restrack_new" },
	{ 0xc5a0d188, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xe6394c0a, "iw_cm_listen" },
	{ 0x1a72d2c4, "ib_send_cm_rej" },
	{ 0x97b29909, "rdma_copy_src_l2_addr" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0x93c08759, "rdma_resolve_ip" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "46F6C21343830E9B1D22FDB");
