#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xa1f9bd16, "_gpl");
SYMBOL_CRC(mux_chip_register, 0xe18c7a01, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xeabd19d8, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x5b5d0b83, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0xc75dadac, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x04c4bd28, "_gpl");
SYMBOL_CRC(mux_control_states, 0xeed650a2, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0xcb0b9ba3, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xf87a6ec9, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x52495083, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x8f04f597, "_gpl");
SYMBOL_CRC(mux_control_put, 0x10d65a8e, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x89888ee7, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xc3469a15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xeb5f93d9, "dev_set_name" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd566933c, "up" },
	{ 0xe1637697, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb3713bcd, "devres_add" },
	{ 0x92997ed8, "_printk" },
	{ 0x998fe8b1, "put_device" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xfa62e81e, "_dev_err" },
	{ 0x1ba135e8, "device_add" },
	{ 0xdcb4bf5f, "__devres_alloc_node" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x1d3936a4, "class_unregister" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x1edbc91, "device_del" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xc3e45457, "down_killable" },
	{ 0xcef01897, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90380F3329CDAEF05D2B3B2");
