#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x11281dce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x43f91384, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x112589a7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x4bfa7edc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x9e961fe0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xe0dbf520, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x9326fdee, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x72a1aad2, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x60c3046e, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x96928dd0, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x3012c58a, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x5416acb9, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x6f0818c8, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x22bfb1c2, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x20f0a159, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xacdb4878, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x75214623, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x8de242b7, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xbd9fee80, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xed11f24e, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0xdcb00f18, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x9d1a442b, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x12d7535d, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xb04fd252, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x5996e1af, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xf16b339e, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x5ed540a7, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xef2495e0, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x03210aeb, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xd86ce542, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x460d1597, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xe6906c97, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x7750213c, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x951e0ab5, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xc3b78d02, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xb2d6fb88, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x1042ede4, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x56aa3895, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x3cf17ab6, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xa08ce830, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x08b4d840, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xc417c420, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x09d6d67a, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x01ed5436, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x3013fc69, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x1d3333fe, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x2a57e530, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x03204ce6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x23d469f1, "perf_trace_run_bpf_submit" },
	{ 0x935cabc6, "trace_event_buffer_reserve" },
	{ 0x1b1b28c6, "trace_event_buffer_commit" },
	{ 0xf867caf7, "__trace_trigger_soft_disabled" },
	{ 0x4d01f237, "trace_raw_output_prep" },
	{ 0x4d8e6195, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x3ffcc908, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x998fe8b1, "put_device" },
	{ 0x41e5f1bb, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x588934d6, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x1b155085, "get_device" },
	{ 0x4929b350, "device_find_child" },
	{ 0x949e2f05, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x670d02d7, "_dev_printk" },
	{ 0x155c6560, "scsi_target_unblock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0d0c693, "netlink_kernel_release" },
	{ 0x87cf2b6, "bus_unregister" },
	{ 0x38d0e6d7, "transport_class_unregister" },
	{ 0x1d3936a4, "class_unregister" },
	{ 0xcef01897, "class_register" },
	{ 0x780eae27, "transport_class_register" },
	{ 0xd9947b56, "bus_register" },
	{ 0x46fe05c8, "init_net" },
	{ 0xfabb4aec, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d3a02fb, "scsi_host_get" },
	{ 0xe1637697, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c84982e, "scsi_init_limits" },
	{ 0xfc649473, "bsg_setup_queue" },
	{ 0xe6b8a24e, "__alloc_skb" },
	{ 0x18281fa3, "__nlmsg_put" },
	{ 0x8c494dc4, "netlink_broadcast_filtered" },
	{ 0xfe246fba, "scsi_is_host_device" },
	{ 0xa83d5a5b, "bsg_remove_queue" },
	{ 0x64b6a491, "scsi_host_put" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6114dc64, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xeb5f93d9, "dev_set_name" },
	{ 0x955eac1, "device_register" },
	{ 0xf53080e6, "sysfs_create_group" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xe0c69a56, "transport_remove_device" },
	{ 0x6b8d3eb, "transport_destroy_device" },
	{ 0x1edbc91, "device_del" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0xb3f935c9, "attribute_container_register" },
	{ 0x417c4463, "sk_skb_reason_drop" },
	{ 0x1ba135e8, "device_add" },
	{ 0x23d0804e, "transport_setup_device" },
	{ 0xd57975f3, "transport_add_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9e5454e1, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x118987fe, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x90153cb0, "scsi_remove_target" },
	{ 0x4340b167, "scsi_scan_target" },
	{ 0x7c423e92, "netlink_capable" },
	{ 0x44b57a7f, "try_module_get" },
	{ 0x4710c6b, "module_put" },
	{ 0x347b1239, "netlink_unicast" },
	{ 0x1d0c29a4, "skb_pull" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd2166372, "scsi_host_lookup" },
	{ 0xc0e47965, "skb_trim" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe7b308f6, "trace_event_reg" },
	{ 0xb0de94d2, "trace_event_raw_init" },
	{ 0xa42650f, "param_ops_int" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "39354DEB19B8E5205A954FC");
