#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x83a160c7, "");
SYMBOL_CRC(sas_remove_host, 0x498a9d25, "");
SYMBOL_CRC(sas_get_address, 0xa8a0bf85, "");
SYMBOL_CRC(sas_tlr_supported, 0x1fce1510, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x65ea2f34, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xaff46a07, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x0822a9c9, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x77b0e4af, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xdf3018a4, "");
SYMBOL_CRC(sas_phy_add, 0xe58464f5, "");
SYMBOL_CRC(sas_phy_free, 0xfeefa65b, "");
SYMBOL_CRC(sas_phy_delete, 0x855951ca, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x6b81cac0, "");
SYMBOL_CRC(sas_port_alloc, 0x3b0959cb, "");
SYMBOL_CRC(sas_port_alloc_num, 0xd333fdb0, "");
SYMBOL_CRC(sas_port_add, 0x23f8711c, "");
SYMBOL_CRC(sas_port_free, 0x75d95e8b, "");
SYMBOL_CRC(sas_port_delete, 0x0289551e, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd2bedab0, "");
SYMBOL_CRC(sas_port_get_phy, 0xfe619369, "");
SYMBOL_CRC(sas_port_add_phy, 0x387bfb2e, "");
SYMBOL_CRC(sas_port_delete_phy, 0x8507470d, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x55cc693e, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xab1d9eb4, "");
SYMBOL_CRC(sas_end_device_alloc, 0xed4c707f, "");
SYMBOL_CRC(sas_expander_alloc, 0x9623e9d5, "");
SYMBOL_CRC(sas_rphy_add, 0x6279508e, "");
SYMBOL_CRC(sas_rphy_free, 0x3d241934, "");
SYMBOL_CRC(sas_rphy_delete, 0xd103d800, "");
SYMBOL_CRC(sas_rphy_unlink, 0x256df5a2, "");
SYMBOL_CRC(sas_rphy_remove, 0xeda9705d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xdbec23bb, "");
SYMBOL_CRC(sas_attach_transport, 0x58bdbfe9, "");
SYMBOL_CRC(sas_release_transport, 0xa8021b3f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x949e2f05, "device_for_each_child" },
	{ 0x1e400068, "scsi_remove_host" },
	{ 0x998fe8b1, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ba135e8, "device_add" },
	{ 0xd57975f3, "transport_add_device" },
	{ 0xfff1cbe3, "transport_configure_device" },
	{ 0x1edbc91, "device_del" },
	{ 0x6b8d3eb, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1b155085, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf4d9da38, "sysfs_remove_link" },
	{ 0x81fbb50a, "sysfs_create_link" },
	{ 0x670d02d7, "_dev_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4340b167, "scsi_scan_target" },
	{ 0xfc649473, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0xa83d5a5b, "bsg_remove_queue" },
	{ 0xe0c69a56, "transport_remove_device" },
	{ 0x90153cb0, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x780eae27, "transport_class_register" },
	{ 0x38d0e6d7, "transport_class_unregister" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0xb3f935c9, "attribute_container_register" },
	{ 0x39104cbd, "scsi_get_vpd_page" },
	{ 0x6c623dd9, "scsi_mode_sense" },
	{ 0x118987fe, "attribute_container_unregister" },
	{ 0xfe246fba, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6fde8948, "_dev_warn" },
	{ 0x6114dc64, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5ba7fa3e, "dma_opt_mapping_size" },
	{ 0xe1637697, "device_initialize" },
	{ 0xeb5f93d9, "dev_set_name" },
	{ 0x23d0804e, "transport_setup_device" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");
