#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x27d29645, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x5bc5ce2c, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xb6b562ba, "_gpl");
SYMBOL_CRC(fat_scan, 0x389a62b0, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x897d0574, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xfa69d98c, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x2421776f, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x24d78a2e, "_gpl");
SYMBOL_CRC(fat_getattr, 0x12bfd73a, "_gpl");
SYMBOL_CRC(fat_setattr, 0x7ced8d78, "_gpl");
SYMBOL_CRC(fat_attach, 0x61c7629e, "_gpl");
SYMBOL_CRC(fat_detach, 0x6393258a, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x41d9c84f, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x8edbf412, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xac24b945, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x1a840561, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x50a0352d, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x1f339434, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x88d1418a, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x1cf315a0, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x29fc804a, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x37547a82, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xadb001b5, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xb03430b1, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xb9152abc, "_gpl");
SYMBOL_CRC(fat_update_time, 0x39a1a734, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2130eb34, "filemap_fdatawrite" },
	{ 0xaf2b76ee, "generic_fillattr" },
	{ 0xe1e76f88, "setattr_prepare" },
	{ 0x863c22df, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x1882708, "sync_blockdev_nowait" },
	{ 0x5d8084cb, "make_vfsgid" },
	{ 0x951e7a6c, "blk_start_plug" },
	{ 0x74b3d856, "clear_inode" },
	{ 0x1c9a21ae, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xf249c6b4, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9ffc7a7d, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x8ad26d58, "mark_buffer_dirty" },
	{ 0x428d289, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd97bafd6, "__find_get_block" },
	{ 0xece890b8, "filemap_fdatawrite_range" },
	{ 0x44d33d3e, "inode_needs_sync" },
	{ 0x4ea39788, "__blockdev_direct_IO" },
	{ 0xd16c6ac2, "d_make_root" },
	{ 0x2c5dac14, "__bforget" },
	{ 0x2c46e35f, "sb_set_blocksize" },
	{ 0xbdd47abd, "block_truncate_page" },
	{ 0x6f233479, "write_dirty_buffer" },
	{ 0x2344f542, "sync_filesystem" },
	{ 0x1b6fccca, "fsnotify" },
	{ 0xf00d1d82, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9e471603, "from_vfsuid" },
	{ 0xd9a0c56f, "inode_dio_wait" },
	{ 0xf61c6efa, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bd41c21, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe20034f9, "iput" },
	{ 0x3700e97d, "fs_param_is_enum" },
	{ 0x71fbaca2, "fs_param_is_s32" },
	{ 0xda0bd840, "iter_file_splice_write" },
	{ 0x353645ef, "fs_param_is_bool" },
	{ 0x7be6a2df, "generic_file_write_iter" },
	{ 0x42a05500, "sync_inode_metadata" },
	{ 0x509bab73, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5490f37e, "fs_param_is_u32" },
	{ 0x46ac3e45, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x138500e6, "block_invalidate_folio" },
	{ 0xb102220, "__breadahead" },
	{ 0x3b9594e7, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xad488e04, "load_nls" },
	{ 0xaaaf7df4, "generic_cont_expand_simple" },
	{ 0xd5363b5d, "truncate_inode_pages_final" },
	{ 0xe2fe6e0a, "generic_file_mmap" },
	{ 0x3c4ea671, "sync_mapping_buffers" },
	{ 0x3934a1f8, "ilookup" },
	{ 0xd0be232, "invalidate_inode_buffers" },
	{ 0xc48c9245, "blk_finish_plug" },
	{ 0xdccb4435, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x922159e9, "mnt_drop_write_file" },
	{ 0x234a3dde, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x85169837, "inode_init_once" },
	{ 0xc92d8ce7, "compat_ptr_ioctl" },
	{ 0xac62c09c, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xdc2bcb1d, "__brelse" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x13cd6f1, "generic_file_read_iter" },
	{ 0x7c9b14d4, "inode_maybe_inc_iversion" },
	{ 0xfbddc277, "truncate_pagecache" },
	{ 0x9ea77c37, "sync_dirty_buffer" },
	{ 0x272891f4, "setattr_copy" },
	{ 0xb30084dd, "__wait_on_buffer" },
	{ 0xf6963a15, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x28f67a2e, "kmem_cache_alloc_lru_noprof" },
	{ 0x4c0837ac, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7c575f75, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xdd86bff9, "from_vfsgid" },
	{ 0x1a3edbbe, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb4abace, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2528edd5, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xe41ce03b, "block_dirty_folio" },
	{ 0x80293694, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1f908b5f, "__insert_inode_hash" },
	{ 0xa590fc49, "buffer_migrate_folio" },
	{ 0x36ad684e, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x938967f4, "__kmem_cache_create_args" },
	{ 0x5b970930, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0xd404b21e, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c64f26a, "generic_encode_ino32_fh" },
	{ 0x6e6b483d, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdd6e251d, "igrab" },
	{ 0x4059689a, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2d5353ee, "mpage_readahead" },
	{ 0x27265e4a, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x73f8a119, "init_user_ns" },
	{ 0xf5e35fbd, "seq_write" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0xf9d50ab5, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xbb51e409, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x6e3c02fe, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xbcfc5997, "generic_fh_to_parent" },
	{ 0xb20f2919, "__fs_parse" },
	{ 0xf771f61c, "filemap_splice_read" },
	{ 0xba7343fa, "from_kuid_munged" },
	{ 0x517d2f77, "__generic_file_fsync" },
	{ 0xac27ad3f, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x67c8917b, "__mark_inode_dirty" },
	{ 0x4549a97f, "generic_file_llseek" },
	{ 0xe782bbaf, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x5ce502f3, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x8853bf7a, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xd95aa2ca, "fs_param_is_uid" },
	{ 0x39c05bf, "kmem_cache_destroy" },
	{ 0xc51a8e25, "blkdev_issue_discard" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
