#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xffa44846, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x3aff04ae, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x060f5f3e, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xe5023484, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xedfe34b5, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x014fcfd3, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x3036fadc, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x22ecf4eb, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xa5273393, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xcdb5d57c, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x3267dcc4, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0xd045aad3, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xcd120613, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xc4331510, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x813afbcc, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xa4b876cc, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xc79a64ca, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x8047dbb1, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x1eca73aa, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x0ed33060, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x96cc9757, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xf6ac3d7b, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x93d9e3bb, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xc24528f2, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x5aa9c33a, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x16eac173, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x2df6d461, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x796bfe90, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x2179d7b7, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x24f16f77, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x37cd6880, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x4317558d, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xf195c3bf, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0xc91f08ce, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xeddd2113, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x33b84a23, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xb7dbd5b7, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x9a8e6bdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdbd6e6db, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf372111e, "drm_exec_prepare_array" },
	{ 0xb1807839, "dma_resv_add_fence" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x969a152d, "drm_gem_private_object_init" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbf3a53dc, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46c060d7, "drm_exec_prepare_obj" },
	{ 0x71ed741d, "drm_exec_lock_obj" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x5d3bf6e5, "drm_exec_init" },
	{ 0x328e3f21, "drm_exec_cleanup" },
	{ 0x34ad73e2, "drm_exec_fini" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x800473f, "__cond_resched" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "293460AE7660D54DC129A4A");
