#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x654672a6, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xbe0370f5, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xfc7b1cbf, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x25fc167f, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x9faefce6, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x3a4a67a8, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x3729a29f, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x879ba923, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xfc472fca, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x7943d771, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x0615d550, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x61a16972, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xc9ff788d, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xeea88f55, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x3bdcc97b, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xb51ecc96, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x02994cb6, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x6e385573, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x5fa1817c, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x1493c1c6, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x1a2b2dee, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xaca1826e, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x535fcd07, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xeaf61b2c, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xb857e205, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xdc311b0b, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x5a0c80e3, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x1527075b, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x8c0b1c34, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xb8759fa1, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x553b3326, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x6db16e82, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x48f22e79, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x6cf8bc59, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x368d1a43, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xa8c98d0f, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x1f99db43, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x2bb10ce9, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x1774769a, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x4815b51d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xab103a68, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x4d959c4c, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x4c6fee21, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xc8c7c4ed, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x45ea23e1, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xedb01480, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x55281fb7, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x41fabb67, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xc35ed1c6, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xeb6b1083, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xf11097c9, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x1334c6e2, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xcbf55504, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xde0d14e5, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x531fe52d, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x0fdb33eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xa40942f1, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x4b9ad08c, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xcf374c17, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x2d89dcc2, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xacb3e216, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x0f88425a, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xf11e9279, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf78c2937, "set_capacity_and_notify" },
	{ 0x6440f1e9, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5dfa33ff, "set_disk_ro" },
	{ 0x4c9cf4af, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x44b57a7f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8ca6c05b, "vmemmap" },
	{ 0xb44ccc65, "blk_rq_integrity_map_user" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xba8965a5, "device_remove_file_self" },
	{ 0x8e786c7d, "param_ops_uint" },
	{ 0x1983add9, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xeb5f93d9, "dev_set_name" },
	{ 0x912aedea, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x272b26da, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d01f237, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xcf6184bb, "blk_mq_tagset_wait_completed_request" },
	{ 0x9bb22381, "cdev_device_del" },
	{ 0xf867caf7, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd070c78c, "queue_limits_stack_bdev" },
	{ 0x4d8e6195, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x24a2f81, "should_fail" },
	{ 0xe1637697, "device_initialize" },
	{ 0xe57b9619, "blk_mq_unquiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xa64183d9, "blk_mq_quiesce_queue" },
	{ 0xb0de94d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc898a511, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xed9fde31, "__traceiter_block_bio_remap" },
	{ 0xe939dcbd, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ffcc908, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa9d7899d, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4ec975c6, "param_ops_byte" },
	{ 0x1b155085, "get_device" },
	{ 0xc325c453, "blk_mq_end_request" },
	{ 0x8fc4fefb, "__blk_mq_alloc_disk" },
	{ 0xd1686845, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x59b9be49, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x37cc7c2f, "blk_mq_alloc_tag_set" },
	{ 0xa8fbc05c, "blk_rq_is_poll" },
	{ 0x1b1b28c6, "trace_event_buffer_commit" },
	{ 0x2364e580, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xafec3a42, "put_disk" },
	{ 0x7f16b580, "crypto_alloc_kpp" },
	{ 0xa52425e2, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xceafc99f, "blk_execute_rq" },
	{ 0x998fe8b1, "put_device" },
	{ 0x335b7801, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf4cf919c, "blk_mq_free_request" },
	{ 0x9cc1ff09, "__free_pages" },
	{ 0x4904d717, "_dev_info" },
	{ 0x14ba7202, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4710c6b, "module_put" },
	{ 0x81fbb50a, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x36d230d8, "nvme_auth_gen_pubkey" },
	{ 0xc92d8ce7, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xac1efdb8, "blk_rq_poll" },
	{ 0x957c089e, "blk_mq_quiesce_tagset" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xe15a16d3, "kobject_uevent_env" },
	{ 0x7a68f956, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x23d469f1, "perf_trace_run_bpf_submit" },
	{ 0xfa62e81e, "_dev_err" },
	{ 0xdc55f97a, "blk_revalidate_disk_zones" },
	{ 0x72c5d39c, "debugfs_create_bool" },
	{ 0x1b22e931, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1ba135e8, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xa167151e, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf4d9da38, "sysfs_remove_link" },
	{ 0x786e2c07, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b0e8d96, "hwmon_device_register_with_info" },
	{ 0x5d0b30c, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb6e0058f, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6a048c41, "blk_sync_queue" },
	{ 0xe769cd08, "bdev_start_io_acct" },
	{ 0xd672794e, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xe7b308f6, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x548ded9a, "blk_mq_alloc_request_hctx" },
	{ 0xb936e5bb, "__io_uring_cmd_do_in_task" },
	{ 0x1bf197f7, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x5ef0fe16, "crypto_shash_update" },
	{ 0x1d3936a4, "class_unregister" },
	{ 0x40ad4d90, "blk_mq_free_tag_set" },
	{ 0xeb887f44, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xfd14fbd5, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x9ae108ca, "blk_put_queue" },
	{ 0xfbc68bd3, "bpf_trace_run1" },
	{ 0x1edbc91, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x6fde8948, "_dev_warn" },
	{ 0xea20f1f1, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x38d40376, "blk_mq_wait_quiesce_done" },
	{ 0xc9ec432e, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6d33b52b, "debugfs_create_x16" },
	{ 0x938967f4, "__kmem_cache_create_args" },
	{ 0x86c3eac9, "io_uring_cmd_done" },
	{ 0x859677a4, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe4d0dbd1, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xed34b0eb, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f7d914b, "blk_mq_complete_request" },
	{ 0xb78aa12f, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x935cabc6, "trace_event_buffer_reserve" },
	{ 0x852a51b0, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfa0a8a5d, "param_ops_bool" },
	{ 0x1cad4686, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x8c5b0590, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xbbc32eab, "disk_live" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x4af04a9c, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x523fbd08, "hwmon_device_unregister" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe4760b47, "blk_mq_unfreeze_queue" },
	{ 0x77c90e82, "alloc_pages_noprof" },
	{ 0x75a00c87, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xd3743d86, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xac6a80c7, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1a78498, "blk_rq_map_user_iov" },
	{ 0x9340ce8a, "setup_fault_attr" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x7e41d798, "blk_mark_disk_dead" },
	{ 0xc377ec76, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x105d0de7, "crypto_alloc_shash" },
	{ 0xbee5d3db, "blk_mq_freeze_queue_wait" },
	{ 0x94667db6, "debugfs_create_dir" },
	{ 0xa0866109, "nvme_auth_gen_privkey" },
	{ 0x55893760, "fault_create_debugfs_attr" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb4946350, "blk_mq_requeue_request" },
	{ 0xcef01897, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbcbcc6b1, "cdev_init" },
	{ 0x2c611836, "bdev_end_io_acct" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0x2c81133f, "blk_steal_bios" },
	{ 0x39c05bf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,hwmon");


MODULE_INFO(srcversion, "786F43EDE4F0C99EDC1083A");
