#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0xa21a8022, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0xd9d602ba, "");
SYMBOL_CRC(dasd_alloc_block, 0x446d78a8, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x270f98d2, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0xf0bed6cc, "");
SYMBOL_CRC(dasd_reload_device, 0xd40aadb3, "");
SYMBOL_CRC(dasd_enable_device, 0x9c85e221, "");
SYMBOL_CRC(dasd_smalloc_request, 0xa1ea3518, "");
SYMBOL_CRC(dasd_fmalloc_request, 0xdefc7b70, "");
SYMBOL_CRC(dasd_sfree_request, 0xd34e5643, "");
SYMBOL_CRC(dasd_ffree_request, 0xe0c02bf2, "");
SYMBOL_CRC(dasd_term_IO, 0xcf4a9b46, "");
SYMBOL_CRC(dasd_start_IO, 0xd946ca13, "");
SYMBOL_CRC(dasd_device_set_timer, 0xa7f767cd, "");
SYMBOL_CRC(dasd_device_clear_timer, 0x69c5a0fa, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0x6c8df629, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0x09dc735a, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0xf1e93f2f, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xca97e513, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0xb26f9026, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0x2233caca, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0x40197ace, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0xd6d552ad, "");
SYMBOL_CRC(dasd_add_request_tail, 0xf33a7fae, "");
SYMBOL_CRC(dasd_wakeup_cb, 0x5db7f21e, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0x636f1bdf, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0xb4dcb5de, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0xc134caac, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0xdcdcbfd3, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0x44fe75db, "");
SYMBOL_CRC(dasd_block_set_timer, 0x984f83d7, "");
SYMBOL_CRC(dasd_block_clear_timer, 0xae4eae52, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0x36c7e539, "");
SYMBOL_CRC(dasd_device_is_ro, 0x0602ee82, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0x1fa33d39, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0xa393c4d8, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0xffa35f1a, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0xbd0360bc, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0x463f9a01, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0xaeb6e517, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0x99eddabd, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0xb4d3ebc2, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0x8bd5101e, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0xd73e44e1, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0x9f7ddc26, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0x96e453b0, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0x6e431cf6, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0xdc783c6b, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0x243d8a95, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x6877463f, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0xfdba7daf, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0xe04967db, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xb38fe028, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x19227556, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0xf15784f5, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0x6f9cf2a0, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0xb06063a7, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x49a91608, "");
SYMBOL_CRC(dasd_dev_groups, 0x18a4c92a, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0x71be3db1, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x73d5ee36, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x6dec9c91, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0xaf119a62, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0x20a6b98d, "");
SYMBOL_CRC(dasd_default_erp_action, 0x5c2c2ee5, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0x3904f0c4, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0xc2cba861, "");
SYMBOL_CRC(dasd_free_erp_request, 0x07a11c9a, "");
SYMBOL_CRC(dasd_log_sense, 0xe3a1a8f8, "");
SYMBOL_CRC(dasd_eer_write, 0xe1508c96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5dfa33ff, "set_disk_ro" },
	{ 0x44b57a7f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4853c9c3, "misc_deregister" },
	{ 0x8e786c7d, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb7a2cd3a, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x272b26da, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc57b8611, "diag210" },
	{ 0x4a9d55ce, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xf5d69b42, "debug_set_level" },
	{ 0xb41f307f, "param_array_ops" },
	{ 0x7f22d890, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3e4d34ee, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbddc929f, "kset_unregister" },
	{ 0xbd821b1, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa9d7899d, "disk_uevent" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1b155085, "get_device" },
	{ 0xc325c453, "blk_mq_end_request" },
	{ 0x8fc4fefb, "__blk_mq_alloc_disk" },
	{ 0xd1686845, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x37cc7c2f, "blk_mq_alloc_tag_set" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xef9c8eef, "ipl_info" },
	{ 0xafec3a42, "put_disk" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x998fe8b1, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa76b9fc0, "ccw_device_tm_start" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x7ff752b9, "ccw_device_get_schid" },
	{ 0x4904d717, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4710c6b, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xc065039b, "disable_cmf" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9248a70a, "fput" },
	{ 0xfa62e81e, "_dev_err" },
	{ 0xb1baeb94, "kobject_add" },
	{ 0x338c9952, "blk_update_request" },
	{ 0x598749d5, "ccw_device_get_id" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xb594613c, "kobj_sysfs_ops" },
	{ 0x5d0b30c, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x3b50ecf, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd672794e, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0xf90424f3, "cmf_readall" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9fd65d86, "seq_putc" },
	{ 0x7d0fe8d6, "bdev_mark_dead" },
	{ 0x40ad4d90, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xeb887f44, "del_gendisk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xed5fed20, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x76ffe101, "bdev_file_open_by_dev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x22b66e5a, "proc_mkdir" },
	{ 0x9f5b6e06, "ccw_device_set_offline" },
	{ 0x6fde8948, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb9f9d26f, "misc_register" },
	{ 0x91a722ef, "ccw_device_clear" },
	{ 0xc9ec432e, "param_ops_charp" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x938967f4, "__kmem_cache_create_args" },
	{ 0xe4d0dbd1, "bdev_disk_changed" },
	{ 0xe798236d, "jiffies" },
	{ 0x27781ec8, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x97d99de6, "debug_unregister" },
	{ 0xbef67828, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f7d914b, "blk_mq_complete_request" },
	{ 0xe9abf095, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5e35fbd, "seq_write" },
	{ 0x8c2908ca, "remove_proc_entry" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0xf9d50ab5, "seq_printf" },
	{ 0x36b73129, "ccw_device_set_online" },
	{ 0x89cfb49f, "enable_cmf" },
	{ 0x8f264b19, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xcda8fa88, "blk_mq_start_request" },
	{ 0x154439b7, "ccw_device_get_path_mask" },
	{ 0xd3743d86, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4191940a, "single_release" },
	{ 0x2418504a, "tcw_get_tsb" },
	{ 0x540b985f, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x8693f97b, "blk_abort_request" },
	{ 0x2ef50b5, "debug_sprintf_view" },
	{ 0xa42650f, "param_ops_int" },
	{ 0x99495f95, "blk_mq_run_hw_queues" },
	{ 0xc94d78fd, "proc_create_seq_private" },
	{ 0x43cbdb10, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x94667db6, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x894f063f, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb4946350, "blk_mq_requeue_request" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x759a0cd5, "blk_queue_rq_timeout" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x39c05bf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4edf8a91, "kset_create_and_add" },
	{ 0xe8d20800, "kobject_put" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "981B4B2D99015E83902CC30");
