#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xf2d1c4b2, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x54405131, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x7275a472, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x279bbce8, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xb9e553c0, "");
SYMBOL_CRC(sas_resume_ha, 0x50343cf0, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xb0f4930d, "");
SYMBOL_CRC(sas_suspend_ha, 0xf2e20976, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x594e5466, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xd60b5d17, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x3acf5d10, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x47c34ee7, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xe950f07d, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x57a777d5, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x04d2144d, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa0abd8df, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x3173c7e3, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x1639b09c, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x984d2a7c, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xfc3e2acc, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x9ac16f84, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xa8c0262a, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xc6f599a5, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x83485f14, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x2dbfe8fe, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x37ff6f67, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x81e55925, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xdb250026, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xbbecea12, "_gpl");
SYMBOL_CRC(sas_query_task, 0x93965408, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xc3fd5a1f, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xd8023891, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x2697f552, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xbb25453b, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x231a2b7f, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x31e8cc47, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeda9705d, "sas_rphy_remove" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6114dc64, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x256df5a2, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x7b1c7a72, "scsi_schedule_eh" },
	{ 0x16c4a21c, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x3b0959cb, "sas_port_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8283b466, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xfe619369, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x1b155085, "get_device" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xdf3018a4, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x998fe8b1, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4904d717, "_dev_info" },
	{ 0xfeefa65b, "sas_phy_free" },
	{ 0x8bf59548, "scsi_eh_finish_cmd" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x23f8711c, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x55cc693e, "sas_port_mark_backlink" },
	{ 0x4c0837ac, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xed4c707f, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xab1d9eb4, "sas_read_port_mode_page" },
	{ 0x9623e9d5, "sas_expander_alloc" },
	{ 0x6fde8948, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd103d800, "sas_rphy_delete" },
	{ 0xfe246fba, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x58bdbfe9, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x36ad684e, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x938967f4, "__kmem_cache_create_args" },
	{ 0x4f7eba52, "scsi_host_busy" },
	{ 0x289551e, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6279508e, "sas_rphy_add" },
	{ 0x8507470d, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3d241934, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x387bfb2e, "sas_port_add_phy" },
	{ 0x75a00c87, "blk_mq_tagset_busy_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfcfd9c4a, "scsi_done" },
	{ 0x9112e01e, "scsi_unblock_requests" },
	{ 0xe58464f5, "sas_phy_add" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0x75d95e8b, "sas_port_free" },
	{ 0xbea743dd, "scsi_block_requests" },
	{ 0x8693f97b, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0x83a160c7, "sas_remove_children" },
	{ 0x4720b493, "scsi_change_queue_depth" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0x39c05bf, "kmem_cache_destroy" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "F99BAF5465DB39FCB5FCA5B");
