#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xc72c86d7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0xe27a708c, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x9c9c5a29, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x138126e3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xdd4e3876, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xd090eece, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x48a6511b, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x88889777, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xfd3339af, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xbbe79e76, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xc4a2d48f, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x0ec4467b, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x0b8a70e0, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x86fffd46, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xfd7bd9fd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x7f66b1a1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x33363bc8, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x0ab6e1bb, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xac5afe44, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x8bd8ff82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x23d469f1, "perf_trace_run_bpf_submit" },
	{ 0x935cabc6, "trace_event_buffer_reserve" },
	{ 0x1b1b28c6, "trace_event_buffer_commit" },
	{ 0xf867caf7, "__trace_trigger_soft_disabled" },
	{ 0x4d01f237, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x4d8e6195, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xfbc68bd3, "bpf_trace_run1" },
	{ 0x3ffcc908, "bpf_trace_run2" },
	{ 0x1487887c, "sk_error_report" },
	{ 0xff646665, "ip_icmp_error" },
	{ 0x192679af, "ipv6_icmp_error" },
	{ 0xe771f6d6, "sock_create_kern" },
	{ 0x12f7f927, "kernel_bind" },
	{ 0xe4537c32, "kernel_connect" },
	{ 0xed6c205b, "udp_sock_create6" },
	{ 0x6ab0acf4, "kernel_sock_shutdown" },
	{ 0x50e85ab8, "sock_release" },
	{ 0xe4472011, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0x80deb9e1, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcdc71531, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x14be0286, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe798236d, "jiffies" },
	{ 0x417c4463, "sk_skb_reason_drop" },
	{ 0xe5924c9a, "skb_queue_tail" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7e38ce0, "__pskb_pull_tail" },
	{ 0x78e7c4b9, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe8932095, "udp_set_csum" },
	{ 0xc263c595, "ip_queue_xmit" },
	{ 0x716f4473, "udp6_set_csum" },
	{ 0x1bc21999, "inet6_csk_xmit" },
	{ 0xd7d9f698, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xe536e1d3, "skb_dequeue" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d7c32c1, "sockfd_lookup" },
	{ 0xe0f1f3c, "lock_sock_nested" },
	{ 0x59f3fe19, "release_sock" },
	{ 0x9248a70a, "fput" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x8ff30d16, "setup_udp_tunnel_sock" },
	{ 0xe7b308f6, "trace_event_reg" },
	{ 0xb0de94d2, "trace_event_raw_init" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
