#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xd28d455a, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x8bb779ba, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x3bb0af58, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xef30cba6, "");
SYMBOL_CRC(gss_mech_put, 0x0a46666b, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xb87cf13e, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xd3b78853, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1610a0dc, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x44b57a7f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8ca6c05b, "vmemmap" },
	{ 0x1dcf4ade, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xbec52e19, "xdr_buf_from_iov" },
	{ 0xdcbf821c, "bpf_trace_run4" },
	{ 0x5e0d9fbd, "xdr_stream_decode_opaque_auth" },
	{ 0x8e786c7d, "param_ops_uint" },
	{ 0x20acf8a7, "xdr_write_pages" },
	{ 0xae49a26b, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7fcb252a, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xb670d72f, "xdr_inline_decode" },
	{ 0xd7780051, "cache_create_net" },
	{ 0x51617a82, "rpcauth_destroy_credcache" },
	{ 0x4d01f237, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xd9611bfd, "bpf_trace_run6" },
	{ 0xc7f6a170, "rpc_net_ns" },
	{ 0xb4dad74f, "read_bytes_from_xdr_buf" },
	{ 0xf867caf7, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0x4d8e6195, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x75fcd5ac, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xb0de94d2, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x6e926dd4, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x3ffcc908, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3ec3333d, "xdr_truncate_decode" },
	{ 0x51995074, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xff7f7b32, "__xdr_commit_encode" },
	{ 0x55bf8572, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x23d1585, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xd1db33e, "__put_cred" },
	{ 0x48bec8b3, "register_pernet_subsys" },
	{ 0x1b1b28c6, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xa3a17848, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xafe7a925, "rpc_release_client" },
	{ 0x9c2c5741, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x4bd729fe, "svc_auth_register" },
	{ 0xfd440b33, "xdr_stream_encode_opaque_auth" },
	{ 0xbd998279, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc4363e01, "rpc_destroy_pipe_data" },
	{ 0x9cc1ff09, "__free_pages" },
	{ 0xcd4a525c, "rpc_pipe_generic_upcall" },
	{ 0x4710c6b, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9a26257f, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9a3f0a3f, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x23d469f1, "perf_trace_run_bpf_submit" },
	{ 0x631fdd4f, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x6195e158, "rpcauth_init_credcache" },
	{ 0x6977b3e, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x4edb62a2, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xe7b308f6, "trace_event_reg" },
	{ 0xb94413c6, "rpc_call_null" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x60527911, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb430046f, "rpc_create" },
	{ 0xfbc68bd3, "bpf_trace_run1" },
	{ 0xa129e9e4, "rpc_call_sync" },
	{ 0xf7d30a07, "from_kuid" },
	{ 0x5a76463, "unregister_pernet_subsys" },
	{ 0x8f6ef826, "rpc_queue_upcall" },
	{ 0xf2b51dee, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x87b2076f, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x5591a461, "svcauth_unix_set_client" },
	{ 0x1d7c0efa, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x939f25bb, "make_kgid" },
	{ 0x4d7823da, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd451d88b, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x27781ec8, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xed34b0eb, "bpf_trace_run3" },
	{ 0x62deaad8, "__put_net" },
	{ 0x5bb1ae59, "rpc_mkpipe_dentry" },
	{ 0x226f9208, "rpc_mkpipe_data" },
	{ 0xf377f621, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x935cabc6, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x75f659e0, "cache_register_net" },
	{ 0x73f8a119, "init_user_ns" },
	{ 0x50367d99, "xdr_inline_pages" },
	{ 0x5e0fed39, "__folio_put" },
	{ 0x8c2908ca, "remove_proc_entry" },
	{ 0xc0c1d57a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xbc83c9b4, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x77c90e82, "alloc_pages_noprof" },
	{ 0x3e1cbd8c, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x203cdd27, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xba7343fa, "from_kuid_munged" },
	{ 0x61ed3505, "rpcauth_init_cred" },
	{ 0xc2cf61d2, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x18e94a8, "cache_destroy_net" },
	{ 0x636262ab, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x2c184664, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xb09fc083, "sunrpc_cache_update" },
	{ 0x64b9215c, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xaf35b514, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbd69eb01, "auth_domain_put" },
	{ 0xb27bd8b1, "rpcauth_unwrap_resp_decode" },
	{ 0x8ce4cb91, "rpcauth_register" },
	{ 0x9c9d9d85, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
